ReversibleXMLStreamReader (Mule ESB 2.2.1 API)
Keywords: org.mule.module.xml.stax.ReversibleXMLStreamReader class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.xml.stax
Class ReversibleXMLStreamReader

    java.lang.Object
      org.mule.module.xml.stax.DelegateXMLStreamReader
          org.mule.module.xml.stax.ReversibleXMLStreamReader

All Implemented Interfaces:
  javax.xml.stream.XMLStreamConstants, javax.xml.stream.XMLStreamReader

    public class ReversibleXMLStreamReader

extends DelegateXMLStreamReader

Field Summary

Fields inherited from interface javax.xml.stream.XMLStreamConstants
`ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

Constructor Summary
`ReversibleXMLStreamReader(javax.xml.stream.XMLStreamReader reader)`

Method Summary
`int` | `getAttributeCount()`
`String` | `getAttributeLocalName(int i)`
`QName` | `getAttributeName(int i)`
`String` | `getAttributeNamespace(int i)`
`String` | `getAttributePrefix(int i)`
`String` | `getAttributeType(int i)`
`String` | `getAttributeValue(int i)`
`String` | `getAttributeValue(String ns, String local)`
`String` | `getElementText()`
`int` | `getEventType()`
`String` | `getLocalName()`
`javax.xml.stream.Location` | `getLocation()`
`QName` | `getName()`
`NamespaceContext` | `getNamespaceContext()`
`int` | `getNamespaceCount()`
`String` | `getNamespacePrefix(int arg0)`
`String` | `getNamespaceURI()`
`String` | `getNamespaceURI(int arg0)`
`String` | `getNamespaceURI(String prefix)`
`String` | `getPIData()`
`String` | `getPITarget()`
`String` | `getPrefix()`
`String` | `getText()`
`char[]` | `getTextCharacters()`
`int` | `getTextCharacters(int sourceStart, char[] target, int targetStart, int length)`
`int` | `getTextLength()`
`int` | `getTextStart()`
`boolean` | `hasName()`
`boolean` | `hasNext()`
`boolean` | `hasText()`
`boolean` | `isAttributeSpecified(int i)`
`boolean` | `isCharacters()`
`boolean` | `isEndElement()`
`boolean` | `isStartElement()`
`boolean` | `isTracking()`
`boolean` | `isWhiteSpace()`
`int` | `next()`
`int` | `nextTag()`
`void` | `reset()`
`void` | `setTracking(boolean tracking)`

Methods inherited from class org.mule.module.xml.stax.DelegateXMLStreamReader
`close, getCharacterEncodingScheme, getEncoding, getProperty, getVersion, isStandalone, require, standaloneSet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReversibleXMLStreamReader

    public ReversibleXMLStreamReader(javax.xml.stream.XMLStreamReader reader)

Method Detail

### nextTag

    public int nextTag()
                throws javax.xml.stream.XMLStreamException

  Specified by:
    `nextTag` in interface `javax.xml.stream.XMLStreamReader`
  Overrides:
    `nextTag` in class `DelegateXMLStreamReader`
  Throws:
    `javax.xml.stream.XMLStreamException`

### reset

    public void reset()

### isTracking

    public boolean isTracking()

### setTracking

    public void setTracking(boolean tracking)

### next

    public int next()
             throws javax.xml.stream.XMLStreamException

  Specified by:
    `next` in interface `javax.xml.stream.XMLStreamReader`
  Overrides:
    `next` in class `DelegateXMLStreamReader`
  Throws:
    `javax.xml.stream.XMLStreamException`

### getElementText

    public String getElementText()
                          throws javax.xml.stream.XMLStreamException

  Specified by:
    `getElementText` in interface `javax.xml.stream.XMLStreamReader`
  Overrides:
    `getElementText` in class `DelegateXMLStreamReader`
  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeCount

    public int getAttributeCount()

  Specified by:
    `getAttributeCount` in interface `javax.xml.stream.XMLStreamReader`
  Overrides:
    `getAttributeCount` in class `DelegateXMLStreamReader`

### getAttributeLocalName

    public String getAttributeLocalName(int i)

  Specified by:
    `getAttributeLocalName` in interface `javax.xml.stream.XMLStreamReader`
  Overrides:
    `getAttributeLocalName` in class `DelegateXMLStreamReader`

### getAttributeName

    public QName getAttributeName(int i)

  Specified by:
    `getAttributeName` in interface `javax.xml.stream.XMLStreamReader`
  Overrides:
    `getAttributeName` in class `DelegateXMLStreamReader`

### getAttributeNamespace

    public String getAttributeNamespace(int i)

  Specified by:
    `getAttributeNamespace` in interface `javax.xml.stream.XMLStreamReader`
  Overrides:
    `getAttributeNamespace` in class `DelegateXMLStreamReader`

### getAttributePrefix

    public String getAttributePrefix(int i)

  Specified by:
    `getAttributePrefix` in interface `javax.xml.stream.XMLStreamReader`
  Overrides:
    `getAttributePrefix` in class `DelegateXMLStreamReader`

### getAttributeType

    public String getAttributeType(int i)

  Specified by:
    `getAttributeType` in interface `javax.xml.stream.XMLStreamReader`
  Overrides:
    `getAttributeType` in class `DelegateXMLStreamReader`

### getAttributeValue

    public String getAttributeValue(int i)

  Specified by:
    `getAttributeValue` in interface `javax.xml.stream.XMLStreamReader`
  Overrides:
    `getAttributeValue` in class `DelegateXMLStreamReader`

### getAttributeValue

    public String getAttributeValue(String ns,
                                    String local)

  Specified by:
    `getAttributeValue` in interface `javax.xml.stream.XMLStreamReader`
  Overrides:
    `getAttributeValue` in class `DelegateXMLStreamReader`

### getEventType

    public int getEventType()

  Specified by:
    `getEventType` in interface `javax.xml.stream.XMLStreamReader`
  Overrides:
    `getEventType` in class `DelegateXMLStreamReader`

### getLocalName

    public String getLocalName()

  Specified by:
    `getLocalName` in interface `javax.xml.stream.XMLStreamReader`
  Overrides:
    `getLocalName` in class `DelegateXMLStreamReader`

### getLocation

    public javax.xml.stream.Location getLocation()

  Specified by:
    `getLocation` in interface `javax.xml.stream.XMLStreamReader`
  Overrides:
    `getLocation` in class `DelegateXMLStreamReader`

### getName

    public QName getName()

  Specified by:
    `getName` in interface `javax.xml.stream.XMLStreamReader`
  Overrides:
    `getName` in class `DelegateXMLStreamReader`

### getNamespaceContext

    public NamespaceContext getNamespaceContext()

  Specified by:
    `getNamespaceContext` in interface `javax.xml.stream.XMLStreamReader`
  Overrides:
    `getNamespaceContext` in class `DelegateXMLStreamReader`

### getNamespaceCount

    public int getNamespaceCount()

  Specified by:
    `getNamespaceCount` in interface `javax.xml.stream.XMLStreamReader`
  Overrides:
    `getNamespaceCount` in class `DelegateXMLStreamReader`

### getNamespacePrefix

    public String getNamespacePrefix(int arg0)

  Specified by:
    `getNamespacePrefix` in interface `javax.xml.stream.XMLStreamReader`
  Overrides:
    `getNamespacePrefix` in class `DelegateXMLStreamReader`

### getNamespaceURI

    public String getNamespaceURI()

  Specified by:
    `getNamespaceURI` in interface `javax.xml.stream.XMLStreamReader`
  Overrides:
    `getNamespaceURI` in class `DelegateXMLStreamReader`

### getNamespaceURI

    public String getNamespaceURI(int arg0)

  Specified by:
    `getNamespaceURI` in interface `javax.xml.stream.XMLStreamReader`
  Overrides:
    `getNamespaceURI` in class `DelegateXMLStreamReader`

### getNamespaceURI

    public String getNamespaceURI(String prefix)

  Specified by:
    `getNamespaceURI` in interface `javax.xml.stream.XMLStreamReader`
  Overrides:
    `getNamespaceURI` in class `DelegateXMLStreamReader`

### getPIData

    public String getPIData()

  Specified by:
    `getPIData` in interface `javax.xml.stream.XMLStreamReader`
  Overrides:
    `getPIData` in class `DelegateXMLStreamReader`

### getPITarget

    public String getPITarget()

  Specified by:
    `getPITarget` in interface `javax.xml.stream.XMLStreamReader`
  Overrides:
    `getPITarget` in class `DelegateXMLStreamReader`

### getPrefix

    public String getPrefix()

  Specified by:
    `getPrefix` in interface `javax.xml.stream.XMLStreamReader`
  Overrides:
    `getPrefix` in class `DelegateXMLStreamReader`

### getText

    public String getText()

  Specified by:
    `getText` in interface `javax.xml.stream.XMLStreamReader`
  Overrides:
    `getText` in class `DelegateXMLStreamReader`

### getTextCharacters

    public char[] getTextCharacters()

  Specified by:
    `getTextCharacters` in interface `javax.xml.stream.XMLStreamReader`
  Overrides:
    `getTextCharacters` in class `DelegateXMLStreamReader`

### getTextCharacters

    public int getTextCharacters(int sourceStart,
                                 char[] target,
                                 int targetStart,
                                 int length)
                          throws javax.xml.stream.XMLStreamException

  Specified by:
    `getTextCharacters` in interface `javax.xml.stream.XMLStreamReader`
  Overrides:
    `getTextCharacters` in class `DelegateXMLStreamReader`
  Throws:
    `javax.xml.stream.XMLStreamException`

### getTextLength

    public int getTextLength()

  Specified by:
    `getTextLength` in interface `javax.xml.stream.XMLStreamReader`
  Overrides:
    `getTextLength` in class `DelegateXMLStreamReader`

### getTextStart

    public int getTextStart()

  Specified by:
    `getTextStart` in interface `javax.xml.stream.XMLStreamReader`
  Overrides:
    `getTextStart` in class `DelegateXMLStreamReader`

### hasName

    public boolean hasName()

  Specified by:
    `hasName` in interface `javax.xml.stream.XMLStreamReader`
  Overrides:
    `hasName` in class `DelegateXMLStreamReader`

### hasNext

    public boolean hasNext()
                    throws javax.xml.stream.XMLStreamException

  Specified by:
    `hasNext` in interface `javax.xml.stream.XMLStreamReader`
  Overrides:
    `hasNext` in class `DelegateXMLStreamReader`
  Throws:
    `javax.xml.stream.XMLStreamException`

### hasText

    public boolean hasText()

  Specified by:
    `hasText` in interface `javax.xml.stream.XMLStreamReader`
  Overrides:
    `hasText` in class `DelegateXMLStreamReader`

### isAttributeSpecified

    public boolean isAttributeSpecified(int i)

  Specified by:
    `isAttributeSpecified` in interface `javax.xml.stream.XMLStreamReader`
  Overrides:
    `isAttributeSpecified` in class `DelegateXMLStreamReader`

### isCharacters

    public boolean isCharacters()

  Specified by:
    `isCharacters` in interface `javax.xml.stream.XMLStreamReader`
  Overrides:
    `isCharacters` in class `DelegateXMLStreamReader`

### isEndElement

    public boolean isEndElement()

  Specified by:
    `isEndElement` in interface `javax.xml.stream.XMLStreamReader`
  Overrides:
    `isEndElement` in class `DelegateXMLStreamReader`

### isStartElement

    public boolean isStartElement()

  Specified by:
    `isStartElement` in interface `javax.xml.stream.XMLStreamReader`
  Overrides:
    `isStartElement` in class `DelegateXMLStreamReader`

### isWhiteSpace

    public boolean isWhiteSpace()

  Specified by:
    `isWhiteSpace` in interface `javax.xml.stream.XMLStreamReader`
  Overrides:
    `isWhiteSpace` in class `DelegateXMLStreamReader`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.